﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;
using Infragistics.Windows;

namespace FieldChooserEvent
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

           this.myDataGrid.FieldLayoutSettings.HeaderPrefixAreaDisplayMode = HeaderPrefixAreaDisplayMode.FieldChooserButton;


           myDataGrid.FieldChooserOpening += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldChooserOpeningEventArgs>(myDataGrid_FieldChooserOpening);
        }

        void myDataGrid_FieldChooserOpening(object sender, Infragistics.Windows.DataPresenter.Events.FieldChooserOpeningEventArgs e)
        {
            ToolWindow win = Utilities.GetAncestorFromType(e.FieldChooser, typeof(ToolWindow), false) as ToolWindow;
            win.Closing += new System.ComponentModel.CancelEventHandler(WinClosing);
            
        }

        public void WinClosing(Object sender, EventArgs e)
        {
            MessageBox.Show("Close?");
        }

    }
}
